﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using P = FishingBaits.BaitSettings;

namespace FishingBaits
{
    public partial class BaitGUI : Form
    {
        public BaitGUI()
        {
            InitializeComponent();

            if (P.myPrefs.useBait == 0) radioButton1.Checked = true;
            if (P.myPrefs.useBait == 110293) btnGulperEelBait.Checked = true;
            if (P.myPrefs.useBait == 110290) radioButton2.Checked = true;
            if (P.myPrefs.useBait == 110292) radioButton3.Checked = true;
            if (P.myPrefs.useBait == 110274) radioButton4.Checked = true;
            if (P.myPrefs.useBait == 110294) radioButton5.Checked = true;
            if (P.myPrefs.useBait == 110291) radioButton6.Checked = true;
            if (P.myPrefs.useBait == 110289) radioButton7.Checked = true;

            checkBox1.Checked = P.myPrefs.WormSupreme;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            P.myPrefs.Save();
            Close();
        }
        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked) P.myPrefs.useBait = 0;
        }

        private void btnGulperEelBait_CheckedChanged(object sender, EventArgs e)
        {
            if (btnGulperEelBait.Checked) P.myPrefs.useBait = 110293; P.myPrefs.BaitBuff = 158038;
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton2.Checked) P.myPrefs.useBait = 110290; P.myPrefs.BaitBuff = 158035;
        }

        private void radioButton7_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton7.Checked) P.myPrefs.useBait = 110289; P.myPrefs.BaitBuff = 158034;
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton3.Checked) P.myPrefs.useBait = 110292; P.myPrefs.BaitBuff = 158037;
        }

        private void radioButton4_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton4.Checked) P.myPrefs.useBait = 110274; P.myPrefs.BaitBuff = 158031;
        }

        private void radioButton5_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton5.Checked) P.myPrefs.useBait = 110294; P.myPrefs.BaitBuff = 158039;
        }

        private void radioButton6_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton6.Checked) P.myPrefs.useBait = 110291; P.myPrefs.BaitBuff = 158036;
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            P.myPrefs.WormSupreme = checkBox1.Checked;
        } 
    }
}
