﻿using Styx;
using Styx.Common;
using Styx.Helpers;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FishingBaits
{
    class BaitSettings : Settings
    {
        public static readonly BaitSettings myPrefs = new BaitSettings();

        public BaitSettings()
            : base(
                Path.Combine(Utilities.AssemblyDirectory,
                    string.Format(@"Plugins/Settings/FishingBaits/{0}-FishingBaitsSettings-{1}.xml", StyxWoW.Me.RealmName, StyxWoW.Me.Name))
                )
        {
        }

        [Setting, DefaultValue(0)]
        public int useBait { get; set; }

        [Setting, DefaultValue(0)]
        public int BaitBuff { get; set; }

        [Setting, DefaultValue(false)]
        public bool WormSupreme { get; set; }
    }
}
